Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5117)
@@ -12217,5 +12217,5 @@
 !        integer iso_verif_positif_nostop
 !        real deltaD
-        real xtv(niso,n),qv(n)
+        REAL xtv(niso,n),qv(n)
 #endif 
 
@@ -12231,5 +12231,5 @@
 #ifdef ISOVERIF   
 !          WRITE(*,*) 'condiso 253: entrée dans condiso'
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
             do i=1,n
               CALL iso_verif_egalite_choix &
@@ -12237,6 +12237,6 @@
                'condiso_liq_ice_vectall 251',errmax,errmaxrel)
               enddo !do i=1,no
-          endif  !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
-          if (iso_HDO.gt.0) THEN
+          endif  !if ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) THEN
+          IF (iso_HDO.gt.0) THEN
             do i=1,n
 !             if (qt(i).gt.ridicule) THEN
@@ -12260,11 +12260,11 @@
                 'condiso_liq_ice_vectall 268: qt<0')
 #endif
-            if ((iso_verif_positif_nostop(qt(i)-cond(i), &
-             'condiso_liq_ice_vectall 269: cond>qt').eq.1).or. &
+            IF ((iso_verif_positif_nostop(qt(i)-cond(i), &
+             'condiso_liq_ice_vectall 269: cond>qt').EQ.1).OR. &
              (iso_verif_positif_nostop(tcond(i)-Tmin_verif, &
-             'condiso_liq_ice_vectall 284').eq.1).or.      &
+             'condiso_liq_ice_vectall 284').EQ.1).OR.      &
              (iso_verif_positif_nostop(370.0-tcond(i), &
-             'condiso_liq_ice_vectall 286').eq.1).or.  &
-             ((qt(i).eq.0).and.(cond(i).gt.ridicule))) THEN
+             'condiso_liq_ice_vectall 286').EQ.1).OR.  &
+             ((qt(i).EQ.0).AND.(cond(i).gt.ridicule))) THEN
               ! c'est impossible de condenser qi pas d'eau au départ
                 WRITE(*,*) 'condiso_liq_ice_vectall 315'
@@ -12300,15 +12300,15 @@
                 'condiso_liq_ice_vectall 66')
         enddo
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
             CALL iso_verif_egalite_choix(zxtalphal(iso_eau,i),1.0, &
                 'condiso 21',errmax,errmaxrel)
             CALL iso_verif_egalite_choix(zxtalphai(iso_eau,i),1.0, &
                 'condiso 21',errmax,errmaxrel)
-        endif !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
-        if (iso_HDO.gt.0) THEN
-            if (qt(i).gt.ridicule) THEN
-               if (iso_verif_aberrant_nostop(xt(iso_HDO,i) &
+        endif !if ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) THEN
+        IF (iso_HDO.gt.0) THEN
+            IF (qt(i).gt.ridicule) THEN
+               IF (iso_verif_aberrant_nostop(xt(iso_HDO,i) &
                  /qt(i)*zxtalphai(iso_HDO,i)/faccond, &
-                 'condiso_liq_ice_vectall 64').eq.1) THEN
+                 'condiso_liq_ice_vectall 64').EQ.1) THEN
 !                WRITE(*,*) 'deltaDt=',(xt/qt/tnat(iso_HDO)-1)*1000
 !                WRITE(*,*) 'tcond,fcond,zxtalphai=',
@@ -12326,11 +12326,11 @@
        do i=1,n
        ! on change les seuils
-        if ((zcond(i).le.1e-15).or. &
-                ((qt(i).le.1e-15).and.(zcond(i).lt.ridicule))) THEN
+        IF ((zcond(i).le.1e-15).OR. &
+                ((qt(i).le.1e-15).AND.(zcond(i).lt.ridicule))) THEN
           do ixt=1,niso
             zxtliq(ixt,i)=0.0
             zxtice(ixt,i)=0.0
           enddo
-        else !if ((cond(i).le.0.0).or.
+        else !if ((cond(i).le.0.0).OR.
                         
          do ixt=1,niso
@@ -12340,5 +12340,5 @@
          enddo
 
-         if (zcond(i)/qt(i).lt.1e-5) THEN
+         IF (zcond(i)/qt(i).lt.1e-5) THEN
            ! cas particulier pour éviter FI quand cond/qt->0  
            do ixt=1,niso
@@ -12347,5 +12347,5 @@
            enddo !do ixt=1,niso
 
-        else if (1.0-zcond(i)/qt(i).lt.ridicule) THEN
+        ELSE IF (1.0-zcond(i)/qt(i).lt.ridicule) THEN
            ! condensation totale
            ! on ajoute ce cas particulier le 9 avril 2012 car sur vargas
@@ -12362,5 +12362,5 @@
            enddo !do ixt=1,niso
         endif !if (cond(i)/qt(i).lt.1e-5) THEN
-        endif  !if ((cond(i).le.0.0).or.
+        endif  !if ((cond(i).le.0.0).OR.
        enddo !do i=1,n
         
@@ -12371,8 +12371,8 @@
         do i=1,n
             do ixt=1,niso  
-              if ((iso_verif_noNaN_nostop(zxtliq(ixt,i), &
-                'condiso_liq_ice_vectall 91').eq.1).or. &
+              IF ((iso_verif_noNaN_nostop(zxtliq(ixt,i), &
+                'condiso_liq_ice_vectall 91').EQ.1).OR. &
                 (iso_verif_noNaN_nostop(zxtice(ixt,i), &
-                'condiso_liq_ice_vectall 92').eq.1)) THEN
+                'condiso_liq_ice_vectall 92').EQ.1)) THEN
                  WRITE(*,*) 'zxtalphal(ixt,i)=',zxtalphal(ixt,i)
                  WRITE(*,*) 'xt(ixt,i)=',xt(ixt,i)
@@ -12383,15 +12383,15 @@
             enddo !do ixt=1,niso 
  
-          if (zfice(i).lt.1.0) THEN
+          IF (zfice(i).lt.1.0) THEN
             do ixt=1,niso  
               CALL iso_verif_noNaN(zxtliq(ixt,i), &
                 'condiso_liq_ice_vectall 91')
             enddo
-            if (iso_eau.gt.0) THEN
+            IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(zxtliq(iso_eau,i),cond(i), &
                 'condiso_liq_ice_vectall 30',errmax,errmaxrel)
-            endif ! if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
-            if (iso_HDO.gt.0) THEN
-              if (cond(i).gt.ridicule) THEN
+            endif ! if ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) THEN
+            IF (iso_HDO.gt.0) THEN
+              IF (cond(i).gt.ridicule) THEN
 #ifdef ISOTRAC
                   CALL iso_verif_aberrant_choix( &
@@ -12400,8 +12400,8 @@
                      'condiso_liq_ice_vectall 32')
 #else
-                  if (iso_verif_aberrant_choix_nostop( &
+                  IF (iso_verif_aberrant_choix_nostop( &
                      zxtliq(iso_HDO,i),cond(i), &
                      ridicule,deltalim_snow, &
-                     'condiso_liq_ice_vectall 32b').eq.1) THEN
+                     'condiso_liq_ice_vectall 32b').EQ.1) THEN
                     WRITE(*,*) 'deltaDvap=',deltaD(xt(iso_hdo,i)/qt(i))
                     WRITE(*,*) 'T,alphal=', &
@@ -12411,9 +12411,9 @@
                   endif !if (iso_verif_aberrant_nostop(
                   
-                    if (iso_O18.gt.0) THEN
-                    if (iso_verif_O18_aberrant_nostop( &
+                    IF (iso_O18.gt.0) THEN
+                    IF (iso_verif_O18_aberrant_nostop( &
                     zxtliq(iso_HDO,i)/cond(i), &
                     zxtliq(iso_O18,i)/cond(i), &
-                    'condiso_liq_ice_vectall 12546').eq.1) THEN
+                    'condiso_liq_ice_vectall 12546').EQ.1) THEN
                         WRITE(*,*) 'debug condiso_liq_ice_vect 12364: i,zfice=',i,zfice (i)
                         WRITE(*,*) 'cond,qt,cond/qt=',cond(i),qt(i),cond(i)/qt(i)
@@ -12429,10 +12429,10 @@
 
                 endif !if (cond(i).gt.ridicule) THEN
-            endif !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) THEN
+            endif !if ((iso_HDO.gt.0).AND.(ixt.EQ.iso_HDO)) THEN
         endif !if (zfice.lt.1) THEN
-          if (zfice(i).gt.0) THEN
+          IF (zfice(i).gt.0) THEN
             do ixt=1,niso    
-              if (iso_verif_noNAN_nostop(zxtice(ixt,i), &
-                'condiso_liq_ice_vectall 417').eq.1) THEN
+              IF (iso_verif_noNAN_nostop(zxtice(ixt,i), &
+                'condiso_liq_ice_vectall 417').EQ.1) THEN
                 WRITE(*,*) 'ixt,i=',ixt,i
                 WRITE(*,*) 'xt(ixt,i)=',xt(ixt,i)
@@ -12443,13 +12443,13 @@
               endif
             enddo !do ixt=1,niso    
-            if (iso_eau.gt.0) THEN
+            IF (iso_eau.gt.0) THEN
               CALL iso_verif_egalite_choix(zxtice(iso_eau,i),cond(i), &
                         'condiso_liq_ice_vectall 31',errmax,errmaxrel)
-            endif ! if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
-            if (iso_HDO.gt.0) THEN
-              if (cond(i).gt.ridicule) THEN
-                if (iso_verif_aberrant_nostop( &
+            endif ! if ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) THEN
+            IF (iso_HDO.gt.0) THEN
+              IF (cond(i).gt.ridicule) THEN
+                IF (iso_verif_aberrant_nostop( &
                     zxtice(iso_HDO,i)/cond(i)/faccond, &
-                    'condiso_liq_ice_vectall 414').eq.1) THEN
+                    'condiso_liq_ice_vectall 414').EQ.1) THEN
                   WRITE(*,*) 'debug condiso_liq_ice_vect 13364: i,zfice=', &
                         i,zfice (i)
@@ -12468,5 +12468,5 @@
                   WRITE(*,*) 'tcond(i)=',tcond(i)-t_coup,'°C'
 
-                  if (tcond(i)-t_coup.gt.-40.0) THEN
+                  IF (tcond(i)-t_coup.gt.-40.0) THEN
                      ! sinon, c'est pas grave, il y aura juste une
                      ! abérrance dans les zones très froides. 
@@ -12483,9 +12483,9 @@
                   endif !if (iso_verif_aberrant_nostop
 
-                    if (iso_O18.gt.0) THEN
-                    if (iso_verif_O18_aberrant_nostop( &
+                    IF (iso_O18.gt.0) THEN
+                    IF (iso_verif_O18_aberrant_nostop( &
                     zxtice(iso_HDO,i)/cond(i), &
                     zxtice(iso_O18,i)/cond(i), &
-                    'condiso_liq_ice_vectall 12601').eq.1) THEN
+                    'condiso_liq_ice_vectall 12601').EQ.1) THEN
                         WRITE(*,*) 'debug condiso_liq_ice_vect 364: i,zfice=',i,zfice (i)
                         WRITE(*,*) 'cond,qt,cond/qt=',cond(i),qt(i),cond(i)/qt(i)
@@ -12503,6 +12503,6 @@
                     endif ! if (iso_O18.gt.0) THEN
                 endif !if (cond.gt.ridicule) THEN
-                if ((zcond(i)/max(qt(i),1e-15).gt.0.95).and. &
-                     (zfice(i).eq.1).and.(qt(i).gt.5e-4)) THEN
+                IF ((zcond(i)/max(qt(i),1e-15).gt.0.95).AND. &
+                     (zfice(i).EQ.1).AND.(qt(i).gt.5e-4)) THEN
                    ! verif que la vapeur est très pauvre
                    do ixt=1,niso
@@ -12524,6 +12524,6 @@
 #endif                   
                    qv(i)=qt(i)-zcond(i)
-                   if (qv(i).gt.ridicule) THEN
-                   if (deltaD(xtv(iso_HDO,i)/qv(i)).gt.-200.0) THEN
+                   IF (qv(i).gt.ridicule) THEN
+                   IF (deltaD(xtv(iso_HDO,i)/qv(i)).gt.-200.0) THEN
                         WRITE(*,*) 'condiso 454: deltaDv trop fort'
                         WRITE(*,*) 'tcond(i)-t_coup=',tcond(i)-t_coup
@@ -12545,12 +12545,12 @@
 #ifdef ISOVERIF       
         ! ajout temporaire le 28 oct:
-        if (iso_HDO.gt.0) THEN
+        IF (iso_HDO.gt.0) THEN
          do i=1,n
-          if (zfice(i).gt.0.9) THEN
-              if (iso_verif_aberrant_choix_nostop( &
+          IF (zfice(i).gt.0.9) THEN
+              IF (iso_verif_aberrant_choix_nostop( &
                 zxtice(iso_HDO,i),cond(i),ridicule,deltalim_snow, &
                 ! Camille 9 mars 2023: pour le condensat, on laisse plus de
                 ! marge
-                'condiso_liq_ice_vect 412').eq.1) THEN
+                'condiso_liq_ice_vect 412').EQ.1) THEN
                 WRITE(*,*) 'debug condiso_liq_ice_vect 449: i,zfice=', &
                         i,zfice (i)
@@ -12565,5 +12565,5 @@
                         deltaD(zxtice(iso_HDO,i)/cond(i))
                   WRITE(*,*) 'tcond(i)=',tcond(i)-t_coup,'°C'
-                  if (tcond(i)-t_coup.gt.-40.0) THEN
+                  IF (tcond(i)-t_coup.gt.-40.0) THEN
                      ! sinon, c'est pas grave, il y aura juste une
                      ! abérrance dans les zones très froides. 
@@ -12601,5 +12601,5 @@
         enddo !do ixt=1,niso
       enddo !do i=1,n  
-          if (iso_eau.gt.0) THEN
+          IF (iso_eau.gt.0) THEN
             do i=1,n    
             CALL iso_verif_egalite_choix(zxtice(iso_eau,i) &
@@ -12607,16 +12607,16 @@
                 'condiso_liq_ice_vectall 79',errmax,errmaxrel)
             enddo !do i=1,n  
-          endif ! if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
+          endif ! if ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) THEN
 !          WRITE(*,*) 'condiso 477: fin de condiso'
 #endif
 
-      if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
+      IF ((bidouille_anti_divergence).AND.(iso_eau.gt.0)) THEN
             ! assurer convergence
            do i=1,n
-            if (zfice(i).eq.1.0) THEN
+            IF (zfice(i).EQ.1.0) THEN
                 zxtice(iso_eau,i)=cond(i)
-            endif !if (zfice.eq.1.0) THEN
+            endif !if (zfice.EQ.1.0) THEN
            enddo
-       endif !if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
+       endif !if ((bidouille_anti_divergence).AND.(iso_eau.gt.0)) THEN
         do i=1,n
          do ixt=1,niso        
@@ -12650,10 +12650,10 @@
         ! déclarations
         ! **inputs
-        real xt,qt,cond,tcond,zfice ! tcond en K
-        integer ixt
+        REAL xt,qt,cond,tcond,zfice ! tcond en K
+        INTEGER ixt
         ! **outputs
-        real zxtice,zxtliq
+        REAL zxtice,zxtliq
         ! **locals
-        real zxtalphal,zxtalphai
+        REAL zxtalphal,zxtalphai
 !        integer iso_verif_aberrant_nostop ! debugage
         
@@ -12661,5 +12661,5 @@
 
         ! traitement rapide du cas où cond=0
-        if (cond.eq.0) THEN
+        IF (cond.EQ.0) THEN
             zxtliq=0
             zxtice=0
@@ -12668,6 +12668,6 @@
 
         ! verif que qt n'est pas nul
-        if (qt.eq.0) THEN
-            if (cond.lt.ridicule) THEN
+        IF (qt.EQ.0) THEN
+            IF (cond.lt.ridicule) THEN
                 zxtliq=0
                 zxtice=0
@@ -12684,8 +12684,8 @@
         ! verif xt et qt
 #ifdef ISOVERIF
-          if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
+          IF ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) THEN
               CALL iso_verif_egalite_choix &
                (qt,xt,'condiso_liq_ice 51',errmax,errmaxrel)
-          endif  !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
+          endif  !if ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) THEN
           CALL iso_verif_positif(qt-cond,'condiso_liq_ice 56: cond>qt')
 #endif
@@ -12698,15 +12698,15 @@
             CALL iso_verif_noNAN(zxtalphal,'condiso_liq_ice 65')
             CALL iso_verif_noNAN(zxtalphai,'condiso_liq_ice 66')
-            if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
+            IF ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) THEN
                 CALL iso_verif_egalite(zxtalphal,1.0,'condiso 21')
                 CALL iso_verif_egalite(zxtalphai,1.0,'condiso 21')
-            endif !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
-#endif
-
-#ifdef ISOVERIF
-          if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) THEN
-            if (qt.gt.ridicule) THEN
-               if (iso_verif_aberrant_nostop(xt/qt*zxtalphai/faccond, &
-                'condiso_liq_ice 64').eq.1) THEN
+            endif !if ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) THEN
+#endif
+
+#ifdef ISOVERIF
+          IF ((iso_HDO.gt.0).AND.(ixt.EQ.iso_HDO)) THEN
+            IF (qt.gt.ridicule) THEN
+               IF (iso_verif_aberrant_nostop(xt/qt*zxtalphai/faccond, &
+                'condiso_liq_ice 64').EQ.1) THEN
 !                WRITE(*,*) 'deltaDt=',(xt/qt/tnat(iso_HDO)-1)*1000
 !                WRITE(*,*) 'tcond,fcond,zxtalphai=',
@@ -12715,14 +12715,14 @@
               endif !if (iso_verif_aberrant_nostop(xt/qt*zxtalphai/faccond,
             endif !if (qt.gt.ridicule) THEN
-          endif !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) THEN
+          endif !if ((iso_HDO.gt.0).AND.(ixt.EQ.iso_HDO)) THEN
 #endif
         
         
         zxtliq=zxtalphal*xt*cond/(qt+cond*(zxtalphal-1))
-        if (cond/qt.lt.1e-5) THEN
+        IF (cond/qt.lt.1e-5) THEN
            ! cas particulier pour éviter FI quand cond/qt->0  
            zxtice=xt/qt*cond*zxtalphai 
 
-        else if (1.0-cond/qt.lt.ridicule) THEN
+        ELSE IF (1.0-cond/qt.lt.ridicule) THEN
            ! condensation totale
            ! on ajoute ce cas particulier le 9 avril 2012 car sur vargas
@@ -12738,25 +12738,25 @@
         ! verif egalité pour ixt=4 et eau normale:
 #ifdef ISOVERIF
-          if (zfice.lt.1) THEN
+          IF (zfice.lt.1) THEN
             CALL iso_verif_noNAN(zxtliq,'condiso_liq_ice 91')
-            if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
+            IF ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) THEN
               CALL iso_verif_egalite(zxtliq,cond,'condiso_liq_ice 30')
-            endif ! if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
-            if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) THEN
-                if (cond.gt.ridicule) THEN
+            endif ! if ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) THEN
+            IF ((iso_HDO.gt.0).AND.(ixt.EQ.iso_HDO)) THEN
+                IF (cond.gt.ridicule) THEN
                     CALL iso_verif_aberrant(zxtliq/cond, &
                          'condiso_liq_ice 32')
                 endif !if (cond.gt.ridicule) THEN
-            endif !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) THEN
+            endif !if ((iso_HDO.gt.0).AND.(ixt.EQ.iso_HDO)) THEN
           endif !if (zfice.lt.1) THEN
-          if (zfice.gt.0) THEN
+          IF (zfice.gt.0) THEN
             CALL iso_verif_noNAN(zxtice,'condiso_liq_ice 92')
-            if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
+            IF ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) THEN
               CALL iso_verif_egalite(zxtice,cond,'condiso_liq_ice 31')
-            endif ! if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
-            if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) THEN
-              if (cond.gt.ridicule) THEN
-                if (iso_verif_aberrant_nostop(zxtice/cond, &
-                       'condiso_liq_ice 33').eq.1) THEN
+            endif ! if ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) THEN
+            IF ((iso_HDO.gt.0).AND.(ixt.EQ.iso_HDO)) THEN
+              IF (cond.gt.ridicule) THEN
+                IF (iso_verif_aberrant_nostop(zxtice/cond, &
+                       'condiso_liq_ice 33').EQ.1) THEN
                   WRITE(*,*) 'debug condiso 88: zfice=',zfice
                   WRITE(*,*) 'cond/qt=',cond/qt
@@ -12769,5 +12769,5 @@
                   endif
                 endif !if (cond.gt.ridicule) THEN
-            endif !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) THEN
+            endif !if ((iso_HDO.gt.0).AND.(ixt.EQ.iso_HDO)) THEN
           endif !if (zfice.gt.0) THEN
         ! verif que deltaD n'est pas abberant:
@@ -12783,19 +12783,19 @@
           CALL iso_verif_noNAN(zxtliq,'condiso_liq_ice 132')
           CALL iso_verif_noNAN(zxtice,'condiso_liq_ice 92')
-          if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
+          IF ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) THEN
             CALL iso_verif_egalite(zxtice+zxtliq,cond, &
                 'condiso_liq_ice 79')
-          endif ! if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
+          endif ! if ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) THEN
           CALL iso_verif_noNAN(zxtice+zxtliq,'condiso_liq_ice 108')
 #endif
 
-        if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
-          if (ixt.eq.iso_eau) THEN
+        IF ((bidouille_anti_divergence).AND.(iso_eau.gt.0)) THEN
+          IF (ixt.EQ.iso_eau) THEN
             ! assurer convergence
-            if (zfice.eq.1.0) THEN
+            IF (zfice.EQ.1.0) THEN
                 zxtice=cond
-            endif !if (zfice.eq.1.0) THEN
-        endif !if (ixt.eq.iso_eau) THEN
-       endif !if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
+            endif !if (zfice.EQ.1.0) THEN
+        endif !if (ixt.EQ.iso_eau) THEN
+       endif !if ((bidouille_anti_divergence).AND.(iso_eau.gt.0)) THEN
         zxtice=max(0.0,zxtice)
         zxtliq=max(0.0,zxtliq)
@@ -12814,7 +12814,7 @@
 
         ! inputs
-        real T ! température en K
+        REAL T ! température en K
         ! output:
-        real zfice ! fraction de condensation en glace
+        REAL zfice ! fraction de condensation en glace
 
         zfice = 1.0-(T-pxtice)/(pxtmelt-pxtice)
@@ -12852,41 +12852,41 @@
 
          ! inputs
-        integer, intent(in) :: klon,knon
-        real, intent(in) :: dtime
-        real, intent(in) :: snow(klon),snow_prec(klon)
-        real, intent(in) :: xtsnow_prec(niso,klon)
-        real, intent(in) :: precip_snow(klon),xtprecip_snow(ntraciso,klon),xtprecip_rain(ntraciso,klon)
-        real, intent(in) :: snow_evap(klon)
-        real, intent(in) :: fq_fonte_neige(klon)
-        real, intent(in) :: fqfonte_neige(klon)
-        real, intent(in) :: fqcalving(klon)
-        real, intent(in) :: t_coup
-        real, intent(in) ::  q1lay(klon)
-        real, intent(in) :: xt1lay(ntraciso,klon)
-        real, intent(in) ::  tsurf(klon)
+        INTEGER, INTENT(IN) :: klon,knon
+        REAL, INTENT(IN) :: dtime
+        REAL, INTENT(IN) :: snow(klon),snow_prec(klon)
+        REAL, INTENT(IN) :: xtsnow_prec(niso,klon)
+        REAL, INTENT(IN) :: precip_snow(klon),xtprecip_snow(ntraciso,klon),xtprecip_rain(ntraciso,klon)
+        REAL, INTENT(IN) :: snow_evap(klon)
+        REAL, INTENT(IN) :: fq_fonte_neige(klon)
+        REAL, INTENT(IN) :: fqfonte_neige(klon)
+        REAL, INTENT(IN) :: fqcalving(klon)
+        REAL, INTENT(IN) :: t_coup
+        REAL, INTENT(IN) ::  q1lay(klon)
+        REAL, INTENT(IN) :: xt1lay(ntraciso,klon)
+        REAL, INTENT(IN) ::  tsurf(klon)
         INTEGER, INTENT(IN)                  :: nisurf
-        real, dimension(niso,klon), INTENT(IN) :: Rland_ice
+        REAL, DIMENSION(niso,klon), INTENT(IN) :: Rland_ice
         
         ! inouts
-        real, intent(inout) ::  xtsnow(niso,klon)
+        REAL, INTENT(INOUT) ::  xtsnow(niso,klon)
 
         ! outputs
-        real, DIMENSION(ntraciso,klon), INTENT(OUT) :: xtsnow_evap
-        real, DIMENSION(niso,klon), INTENT(OUT) ::  fxt_fonte_neige
-        real, DIMENSION(niso,klon), INTENT(OUT) ::  fxtfonte_neige
-        real, DIMENSION(niso,klon), INTENT(OUT) ::  fxtcalving
+        REAL, DIMENSION(ntraciso,klon), INTENT(OUT) :: xtsnow_evap
+        REAL, DIMENSION(niso,klon), INTENT(OUT) ::  fxt_fonte_neige
+        REAL, DIMENSION(niso,klon), INTENT(OUT) ::  fxtfonte_neige
+        REAL, DIMENSION(niso,klon), INTENT(OUT) ::  fxtcalving
 
         ! locals
-        real snow_apres_precip(klon),xtsnow_apres_precip(niso,klon)
-        real snow_avant_evap(klon),xtsnow_avant_evap(niso,klon)
-        real Rsnow_apres_precip(niso,klon), Rsnow_avant_evap(niso,klon)
-        real snow_avant_calving(klon)
-        real fqfonte_neige_add
-        integer i,ixt,j
+        REAL snow_apres_precip(klon),xtsnow_apres_precip(niso,klon)
+        REAL snow_avant_evap(klon),xtsnow_avant_evap(niso,klon)
+        REAL Rsnow_apres_precip(niso,klon), Rsnow_avant_evap(niso,klon)
+        REAL snow_avant_calving(klon)
+        REAL fqfonte_neige_add
+        INTEGER i,ixt,j
 #ifdef ISOVERIF
 !        integer iso_verif_aberrant_O17_nostop ! juste debug
 !        real o17excess        
-        real dqdiag        
-        real snow_max
+        REAL dqdiag
+        REAL snow_max
         parameter (snow_max=3000.)
 #endif        
@@ -12905,5 +12905,5 @@
 
 #ifdef ISOVERIF  
-       if (iso_eau.gt.0) THEN
+       IF (iso_eau.gt.0) THEN
         do i=1,knon
           CALL iso_verif_egalite_choix( &
@@ -12920,6 +12920,6 @@
                  +xtprecip_snow(ixt,i)*dtime
 #ifdef ISOVERIF
-         if (iso_verif_noNaN_nostop(xtsnow_apres_precip(ixt,i),  &
-               'calcul_iso_surf_vectall 2260').eq.1) THEN
+         IF (iso_verif_noNaN_nostop(xtsnow_apres_precip(ixt,i),  &
+               'calcul_iso_surf_vectall 2260').EQ.1) THEN
             WRITE(*,*) 'xtsnow_prec(ixt,i)=',xtsnow_prec(ixt,i)
             WRITE(*,*) 'xtprecip_snow(ixt,i)=',xtprecip_snow(ixt,i)
@@ -12934,9 +12934,9 @@
 #ifdef ISOVERIF  
       do i=1,knon         
-        if (iso_eau.gt.0) THEN
-            if (iso_verif_egalite_choix_nostop( &
+        IF (iso_eau.gt.0) THEN
+            IF (iso_verif_egalite_choix_nostop( &
                      xtsnow_apres_precip(iso_eau,i), &
                      snow_apres_precip(i),'calcul_iso_surf_ter 1028', &
-                     errmax,errmaxrel).eq.1) THEN
+                     errmax,errmaxrel).EQ.1) THEN
               WRITE(*,*) 'snow_prec(i),xtsnow_prec(iso_eau,i)=', &
                  snow_prec(i),xtsnow_prec(iso_eau,i)
@@ -12946,5 +12946,5 @@
             endif
         endif !if (iso_eau.gt.0) THEN
-        if (iso_HDO.gt.0) THEN
+        IF (iso_HDO.gt.0) THEN
              CALL iso_verif_aberrant_choix( &
                    xtsnow_apres_precip(iso_hdo,i), &
@@ -12959,5 +12959,5 @@
         ! quoi fondre.
         do i=1,knon
-          if (snow_evap(i).lt.0.0) THEN
+          IF (snow_evap(i).lt.0.0) THEN
             snow_apres_precip(i)=snow_apres_precip(i)-snow_evap(i)*dtime
             CALL iso_rosee_givre(xt1lay,q1lay,tsurf,t_coup,snow_evap,i, &
@@ -12972,9 +12972,9 @@
 #ifdef ISOVERIF  
       do i=1,knon         
-        if (iso_eau.gt.0) THEN
-            if (iso_verif_egalite_choix_nostop( &
+        IF (iso_eau.gt.0) THEN
+            IF (iso_verif_egalite_choix_nostop( &
                      xtsnow_apres_precip(iso_eau,i), &
                      snow_apres_precip(i),'calcul_iso_surf_ter 1028', &
-                     errmax,errmaxrel).eq.1) THEN
+                     errmax,errmaxrel).EQ.1) THEN
               WRITE(*,*) 'snow_prec(i),xtsnow_prec(iso_eau,i)=', &
                  snow_prec(i),xtsnow_prec(iso_eau,i)
@@ -12984,5 +12984,5 @@
             endif
         endif !if (iso_eau.gt.0) THEN
-        if (iso_HDO.gt.0) THEN
+        IF (iso_HDO.gt.0) THEN
              CALL iso_verif_aberrant_choix( &
                    xtsnow_apres_precip(iso_hdo,i), &
@@ -12995,6 +12995,6 @@
         ! on fond la neige
       do i=1,knon  
-        if (fq_fonte_neige(i).gt.ridicule) THEN
-          if (snow_apres_precip(i).gt.ridicule) THEN
+        IF (fq_fonte_neige(i).gt.ridicule) THEN
+          IF (snow_apres_precip(i).gt.ridicule) THEN
             do ixt=1,niso
               Rsnow_apres_precip(ixt,i)=xtsnow_apres_precip(ixt,i)/ &
@@ -13004,8 +13004,8 @@
                  *Rsnow_apres_precip(ixt,i)
 #ifdef ISOVERIF
-              if ((iso_verif_noNaN_nostop(Rsnow_apres_precip(ixt,i), &
-                 'calcul_iso_surf_ter 2294a').eq.1).or. &
+              IF ((iso_verif_noNaN_nostop(Rsnow_apres_precip(ixt,i), &
+                 'calcul_iso_surf_ter 2294a').EQ.1).OR. &
                  (iso_verif_noNaN_nostop(fxt_fonte_neige(ixt,i), &
-                 'calcul_iso_surf_ter 2294b').eq.1)) THEN
+                 'calcul_iso_surf_ter 2294b').EQ.1)) THEN
                 WRITE(*,*) 'ixt,i=',ixt,i
                 WRITE(*,*) 'xtsnow_apres_precip,snow_apres_precip=', &
@@ -13050,6 +13050,6 @@
                  -fxt_fonte_neige(ixt,i)
 #ifdef ISOVERIF
-          if (iso_verif_noNaN_nostop(xtsnow_avant_evap(ixt,i), &
-                'calcul_iso_surf_ter 2363').eq.1) THEN
+          IF (iso_verif_noNaN_nostop(xtsnow_avant_evap(ixt,i), &
+                'calcul_iso_surf_ter 2363').EQ.1) THEN
                   WRITE(*,*) 'xtsnow_apres_precip(ixt,i)=', &
                         xtsnow_apres_precip(ixt,i)
@@ -13068,8 +13068,8 @@
        do i=1,knon   
          ! on verifie que snow_avant_evap-snow_evap-fqcalving=snow
-         if (iso_verif_egalite_choix_nostop(snow_avant_evap(i) &
+         IF (iso_verif_egalite_choix_nostop(snow_avant_evap(i) &
                  -max(snow_evap(i),0.0)*dtime-fqcalving(i)*dtime,snow(i), &
                  'calcul_iso_surf_ter 224',errmax_sol*max(snow(i),1.0), &
-                  errmaxrel).eq.1) THEN
+                  errmaxrel).EQ.1) THEN
              WRITE(*,*) 'snow(i)=',snow(i)
              WRITE(*,*) 'snow_prec(i)=',snow_prec(i)
@@ -13082,5 +13082,5 @@
              stop
          endif
-         if (iso_eau.gt.0) THEN
+         IF (iso_eau.gt.0) THEN
                  CALL iso_verif_egalite_choix( &
                      xtsnow_avant_evap(iso_eau,i), &
@@ -13088,5 +13088,5 @@
                      errmax,errmaxrel)
           endif !if (iso_eau.gt.0) THEN
-           if (iso_HDO.gt.0) THEN
+           IF (iso_HDO.gt.0) THEN
              CALL iso_verif_aberrant_choix(xtsnow_avant_evap(iso_hdo,i), &
                         snow_avant_evap(i),ridicule_snow,deltalim_snow, &
@@ -13101,8 +13101,8 @@
 
         do i=1,knon
-         if (snow_evap(i).gt.ridicule**2) THEN
+         IF (snow_evap(i).gt.ridicule**2) THEN
             ! CRisi 9 juin 2021: on met un seuil plus strict.
             ! sublimation positive, sans fractionnement            
-            if (snow_avant_evap(i).gt.ridicule**2) THEN
+            IF (snow_avant_evap(i).gt.ridicule**2) THEN
               ! on sublime sans fractionnement une partie de la neige.
               ! on en profite pour en effonfrer aussi éventuellement une
@@ -13119,6 +13119,6 @@
 !              CALL iso_verif_noNaN(xtsnow_evap(ixt,i),
 !     &          'calcul_iso_surf_ter 2543')
-               if (iso_verif_noNaN_nostop(xtsnow_evap(ixt,i), &
-                'calcul_iso_surf_ter 2543').eq.1) THEN
+               IF (iso_verif_noNaN_nostop(xtsnow_evap(ixt,i), &
+                'calcul_iso_surf_ter 2543').EQ.1) THEN
                   WRITE(*,*) 'xtsnow_avant_evap(ixt,i)=', &
                         xtsnow_avant_evap(ixt,i)
@@ -13144,5 +13144,5 @@
 !                stop                
 #endif               
-                if (snow_apres_precip(i).gt.ridicule) THEN
+                IF (snow_apres_precip(i).gt.ridicule) THEN
                    ! on évapore la snow apres precip
                   do ixt=1,niso
@@ -13179,5 +13179,5 @@
         ! C Risi juin 2020: on supprime la rosée ici car ça a déjà été traité
         ! plus haut
-        else if (snow_evap(i).lt.-ridicule**2) then ! if (snow_evap(i).gt.0.0) THEN
+        ELSE IF (snow_evap(i).lt.-ridicule**2) then ! if (snow_evap(i).gt.0.0) THEN
 !            ! on a de la rosée
 !            CALL iso_rosee_givre(xt1lay,q1lay,tsurf, &
@@ -13199,5 +13199,5 @@
 #ifdef ISOTRAC
               do ixt=niso+1,ntraciso
-                if (index_zone(ixt).eq.izone_cont) THEN
+                IF (index_zone(ixt).EQ.izone_cont) THEN
                   xtsnow_evap(ixt,i)=xtsnow_evap(index_iso(ixt),i)
                 else
@@ -13219,8 +13219,8 @@
         ! on verifie que snow_avant_evap-snow_evap-fqcalving=snow
        do i=1,knon   
-        if (iso_verif_egalite_choix_nostop(snow_avant_calving(i) &
+        IF (iso_verif_egalite_choix_nostop(snow_avant_calving(i) &
                  -fqcalving(i)*dtime,snow(i), &
                  'gestion_neige 1087',errmax_sol*max(snow(i),1.0), &
-                 errmaxrel).eq.1) THEN
+                 errmaxrel).EQ.1) THEN
              WRITE(*,*) 'snow(i)=',snow(i)
              WRITE(*,*) 'snow_prec(i)=',snow_prec(i)
@@ -13234,5 +13234,5 @@
              stop
          endif
-         if (iso_eau.gt.0) THEN
+         IF (iso_eau.gt.0) THEN
                  CALL iso_verif_egalite_choix(xtsnow(iso_eau,i), &
                      snow_avant_calving(i),'gestion_neige 1172', &
@@ -13242,5 +13242,5 @@
                      errmax,errmaxrel)
           endif !if (iso_eau.gt.0) THEN
-          if (iso_HDO.gt.0) THEN
+          IF (iso_HDO.gt.0) THEN
              CALL iso_verif_aberrant_choix(xtsnow(iso_hdo,i), &
                  snow_avant_calving(i),ridicule_snow,deltalim_snow, &
@@ -13257,5 +13257,5 @@
 #endif         
        do i=1,knon   
-        if (fqcalving(i).gt.0.0) THEN
+        IF (fqcalving(i).gt.0.0) THEN
 #ifdef ISOVERIF   
             CALL iso_verif_positif_strict(snow_avant_calving(i), &
